@echo off

rem   the bsearch.par file contains approx 260 MD5 valuse which will be searched for.
rem   the SAMPLE_MD5.TXT contains the same 260 MD5's but this time the file is only 
rem   the MD5's and not the format of the parameter file

rem    you must build your own NSRL_ALL MD5 files by combining the individual segments 
rem    from the maresware web site, or build your own set.

rem    to combine the ones from maresware perform the following command
rem    copy /b  NSRL_0-3.MD5 + NSRL_4-7.MD5 + NSRL_8-B.MD5 + NSRL_C-F.MD5     NSRL_ALL.MD5

bsearch  NSRL_ALL.MD5  BSEARCH.OUT  BSEARCH.PAR  -A

rem   the search program uses the same parameter file as bsearch, so you can see 
rem   the time difference of a binary/sorted search as apposed to a linear search
search   NSRL_ALL.MD5   SEARCH.OUT  BSEARCH.PAR  -A

rem the compare program compares two sorted files on the MD5 value and shows 
rem either the matches or mismatches depending on the command line options
rem the SAMPLE_MD5.TXT contains the same 260 MD5's as before

compare  NSRL_ALL.MD5  SAMPLE_MD5.TXT  COMPARE.OUT compare.par  -A
